@ECHO OFF

ECHO.
ECHO * Running %0
ECHO * Trying to determine 32/64 architecture
ECHO.
ECHO * Input:
ECHO * none


IF /I "%PROCESSOR_ARCHITECTURE%"=="x86"   GOTO 32
IF /I "%PROCESSOR_ARCHITECTURE%"=="AMD64" GOTO 64
ECHO ERROR: Unable to detect 32/64 architecture, exiting...
GOTO exit_error


:32
SET WP_ARCH=x32
GOTO finish

:64
SET WP_ARCH=x64
GOTO finish


:finish
ECHO * Output:
ECHO * WP_ARCH=%WP_ARCH%
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1


