@ECHO OFF
SET exe_dir=%~1
SET app_dir=%~2
SET service=%~3
SET main_app=%~4

ECHO.
ECHO * Running %0
ECHO * Installing service %service% with start script %main_app%

SET winsw_wrapper=%exe_dir%\%service%.exe

IF NOT EXIST "%winsw_wrapper%" (
	ECHO ERROR: winsw wrapper not found: %winsw_wrapper%
	EXIT /B 1
)

ECHO ON
"%winsw_wrapper%" install
@ECHO OFF

IF ERRORLEVEL 1 (
	ECHO ERROR code: %errorlevel%
	EXIT /B %errorlevel%
)

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
