@ECHO OFF
SET exe_dir=%~1
SET service=%~2

ECHO.
ECHO * Running %0
ECHO * Stopping the service %service%

SET winsw_wrapper=%exe_dir%\%service%.exe

IF NOT EXIST "%winsw_wrapper%" (
	ECHO * ERROR: winsw wrapper not found: %winsw_wrapper%
	EXIT /B 1
)

FOR /f %%i IN ('"%winsw_wrapper%" status') DO SET currentState=%%i

IF %currentState% NEQ Stopped (
	ECHO * %service% is currently %currentState%
	ECHO * stopping...
	ECHO ON
	"%winsw_wrapper%" stop
	@ECHO OFF

	IF ERRORLEVEL 1 (
		ECHO * ERROR code: %errorlevel%
		EXIT /B %errorlevel%
	)
	ECHO * Done
	EXIT /B 0
) ELSE (
	ECHO * %service% is already stopped
	ECHO * Done
	EXIT /B 0
)
