var fs = require('fs');
var rimraf = require('rimraf');


console.log('Checking existence of node_modules folder');
fs.stat('node_modules', function(err, stats) {
	if (err) {
		throw err;
	}
	if (stats.isDirectory()) {
		console.log('Uninstalling node_modules.');
		rimraf('node_modules', function(error) {
			if (error) {
				throw error;
			}
			console.log('Done removing node_modules');
		});
	} else {
		console.log('node_modules already not present.');
	}
});
