@ECHO OFF
SET exe_dir=%~1
SET service=%~2
SET description=%~3

ECHO.
ECHO * Running %0
ECHO * Setting description for the service %service% to %description%

SET nssm=%exe_dir%\nssm.exe
IF NOT EXIST "%nssm%" (
	ECHO ERROR: nssm.exe not found: %nssm%
	EXIT /B 1
)

ECHO ON
"%nssm%" set "%service%" description "%description%"
@ECHO OFF

IF ERRORLEVEL 1 (
	ECHO ERROR setting service description, code: %errorlevel%
	EXIT /B %errorlevel%
)

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
