@ECHO OFF
SET exe_dir=%~1
SET app_dir=%~2
SET service=%~3
SET main_app=%~4

ECHO.
ECHO * Running %0
ECHO * Installing service %service% with start script %main_app%

SET nssm=%exe_dir%\nssm.exe
SET node=%exe_dir%\node.exe
SET app=%app_dir%\%main_app%

IF NOT EXIST "%nssm%" (
	ECHO ERROR: nssm.exe not found: %nssm%
	EXIT /B 1
)

IF NOT EXIST "%node%" (
	ECHO ERROR: node.exe not found: %node%
	EXIT /B 1
)

IF NOT EXIST "%app%" (
	ECHO ERROR: main application .js script not found: %app%
	EXIT /B 1
)

ECHO ON
REM "%nssm%" install "%service%" "%node%" "%app%"
ECHO "%exe_dir%\node.exe" "%exe_dir%\app.js" > "%exe_dir%\run.cmd"
"%nssm%" install "%service%" "%exe_dir%\run.cmd"
@ECHO OFF

IF ERRORLEVEL 1 (
	ECHO ERROR code: %errorlevel%
	EXIT /B %errorlevel%
)

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
