@ECHO OFF
SET exe_dir=%~1
SET service=%~2
SET username=%~3
SET password=%~4
ECHO domain: %domain%

ECHO.
ECHO * Running %0
ECHO * Setting username and password if provided for service %service%

SET nssm=%exe_dir%\nssm.exe

IF NOT EXIST "%nssm%" (
	ECHO ERROR: nssm.exe not found: %nssm%
	EXIT /B 1
)

IF "%username%" EQU "" GOTO skip_username

IF "%password%" EQU "" ECHO "WARN: password is empty"

ECHO ON
"%nssm%" set "%service%" ObjectName "%domain%\%username%" "%password%"
@ECHO OFF

IF ERRORLEVEL 1 (
	ECHO ERROR setting service username/password, code: %errorlevel%
	EXIT /B %errorlevel%
)
GOTO finish

:skip_username
ECHO * Username is not provided for the service

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
