@ECHO OFF
SET exe_dir=%~1
SET service=%~2

ECHO.
ECHO * Running %0
ECHO * Trying to determine which utility was used to install %service%

SET winsw_wrapper=%exe_dir%\%service%.exe
SET nssm=%exe_dir%\nssm.exe
REM SET winsw_xml=%exe_dir%\%service%.xml

SET WP_UNINSTALL_MODE=undefined
IF EXIST "%winsw_wrapper%" (
	ECHO * winsw wrapper found, assuming winsw: %winsw_wrapper%
	SET WP_UNINSTALL_MODE=winsw
	GOTO :finish
)
IF EXIST "%nssm%" (
	ECHO * winsw wrapper not found, nssm found: %nssm%
	SET WP_UNINSTALL_MODE=nssm
	GOTO :finish
)

:finish
ECHO * Output:
ECHO * WP_UNINSTALL_MODE=%WP_UNINSTALL_MODE%
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
