@ECHO OFF
SET exe_dir=%~1
SET service=%~2

ECHO.
ECHO * Running %0
ECHO * Stopping the service %service%

SET nssm=%exe_dir%\nssm.exe

IF NOT EXIST "%nssm%" (
	ECHO ERROR: nssm.exe not found: %nssm%
	EXIT /B 1
)

ECHO ON
"%nssm%" stop "%service%"
@ECHO OFF

IF ERRORLEVEL 1 (
	ECHO ERROR code: %errorlevel%
	EXIT /B %errorlevel%
)

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
