@ECHO OFF
SET dir_to_remove=%~1

ECHO.
ECHO * Running %0
ECHO * Recursively removing the directory %dir_to_remove% (async mode)

ECHO ON
START /B "" CMD /C RMDIR /S /Q "%dir_to_remove%" && echo '* RMDIR finished.' && exit /b
@ECHO OFF
REM
REM Normal RMDIR outputs 'The system cannot find the path specified' as it removes itself
REM So, we use following command (but it starts asynchronously):
REM See more: http://stackoverflow.com/questions/20329355/how-to-make-a-batch-file-delete-itself

IF ERRORLEVEL 1 (
	ECHO ERROR code: %errorlevel%
	EXIT /B %errorlevel%
)

REM We print result in START command
REM ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
