@ECHO OFF
SET dir_to_remove=%~1

ECHO.
ECHO * Running %0
ECHO * Recursively removing the directory %dir_to_remove% (sync mode)

ECHO ON
RMDIR /S /Q "%dir_to_remove%"
@ECHO OFF

IF ERRORLEVEL 1 (
  ECHO ERROR code: %errorlevel%
  EXIT /B %errorlevel%
)

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
