@ECHO OFF
SET exe_dir=%~1
SET service=%~2

ECHO.
ECHO * Running %0
ECHO * Removing the service %service%

SET winsw_wrapper=%exe_dir%\%service%.exe

IF NOT EXIST "%winsw_wrapper%" (
	ECHO ERROR: winsw wrapper not found: %winsw_wrapper%
	EXIT /B 1
)

ECHO ON
"%winsw_wrapper%" uninstall
@ECHO OFF

IF ERRORLEVEL 1 (
	ECHO ERROR code: %errorlevel%
	exit /b %errorlevel%
)

:finish
ECHO * Done

:exit_ok
EXIT /B 0

:exit_error
EXIT /B 1
